org.apache.catalina.loader

## Class WebappClassLoader.PrivilegedFindResourceByName

- java.lang.Object
- - org.apache.catalina.loader.WebappClassLoader.PrivilegedFindResourceByName

All Implemented Interfaces:
  PrivilegedAction<ResourceEntry>

Enclosing class:
  WebappClassLoader

    protected class WebappClassLoader.PrivilegedFindResourceByName
    extends Object
    implements PrivilegedAction<ResourceEntry>

### Field Summary

Fields
`protected String` `name`
`protected String` `path`

### Method Summary

Methods
`ResourceEntry` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected String name

#### path

    protected String path

### Method Detail

#### run

    public ResourceEntry run()

Specified by:
  `run` in interface `PrivilegedAction<ResourceEntry>`